v1.0
post
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/kits/upload/uploadinventory
Uploads inventory data as a CSV file. Rights: DesignerKitListUpload.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE
Supported Media Types
- application/json
Root Schema : schema
Type:
objectContains inventory upload details.
Show Source
-
containsHeader: boolean
-
containsHeadersRow(required): string
Allowed Values:
[ "y", "n", "Y", "N" ]Pattern:[yYnN]Specify whether the headers row is included. Default value is 'y'.Example:y -
fileId(required): string
(uuid)
ID of the file.
-
headerMappings: array
Header Mappings
Title:
Header MappingsHeader mappings. -
headerMappingsMap: object
headerMappingsMap
Additional Properties Allowed: HeaderMapping
-
kitTypeMappings: array
Kit Type Mappings
Title:
Kit Type MappingsKit type mappings.
Nested Schema : Header Mappings
Type:
arrayTitle:
Header MappingsHeader mappings.
Show Source
-
Array of:
object HeaderMapping
Title:
HeaderMappingContains header mapping.
Example:
[
{
"fileHeader":"Kit Number",
"dbHeader":"KIT_NUMBER"
}
]Nested Schema : headerMappingsMap
Type:
objectAdditional Properties Allowed
Show Source
-
object HeaderMapping
Title:
HeaderMappingContains header mapping.
Nested Schema : Kit Type Mappings
Type:
arrayTitle:
Kit Type MappingsKit type mappings.
Show Source
-
Array of:
object KitTypeMapping
Title:
KitTypeMappingContains kit type mapping.
Example:
[
{
"kitFromFile":"KITTYPE-A",
"kitTypeId":"C36A3197FDEE433FB5547EE83DE99E4B"
}
]Nested Schema : HeaderMapping
Type:
objectTitle:
HeaderMappingContains header mapping.
Show Source
-
dbHeader(required): string
DB headerExample:
Kit Number -
fileHeader(required): string
File headerExample:
Kit Number
Example:
{
"fileHeader":"Kit Number",
"dbHeader":"KIT_NUMBER"
}Nested Schema : KitTypeMapping
Type:
objectTitle:
KitTypeMappingContains kit type mapping.
Show Source
-
kitFromFile(required): string
Kit upload from fileExample:
Kit1001 -
kitTypeId(required): string
(uuid)
ID of the kit type.
Example:
{
"kitFromFile":"KITTYPE-A",
"kitTypeId":"C36A3197FDEE433FB5547EE83DE99E4B"
}Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : GenerateKitsResponse
Type:
objectTitle:
GenerateKitsResponseResponse object for kit generation.
Show Source
-
inventorySourceId: string
Title:
Inventory Source IDUnique ID of the inventory source.Example:B1B8327AFAA6412287106192AB5984EF -
noOfKitsGenerated: integer
(int64)
Title:
Number of Kits GeneratedNumber of kits generated.Example:10
Examples
400 Response
Invalid CSV file format or data
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
404 Response
Invalid study ID
Invalid file identifier
Invalid file identifier
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples